Subject: Re: [bug#77836] [PATCH emacs-team] gnu: emacs-ws-butler: Update to 1.3.

From: Cayetano Santos <[email-masked]>
Date: Thu, 17 Apr 2025 21:42:32 +0200

>jeu. 17 avril 2025 at 20:19, Liliana Marie Prikler <[email-masked]> wrote:

>> > Why do you use "make" for a test command, when there's no Makefile?

>> There is a Makefile in the repo, including a target for tests:

>> https://git.savannah.gnu.org/cgit/emacs/nongnu.git/tree/?h=elpa/ws-butler
>>
>> Except that the Makefile is removed from elpa .tar file.
>>
>> Similar to other packages, we disable tests, specifying the reason,
>> while we provide the recipe to run them, once the issue fixed.
>>
>> Not sure what is the right option with elpa .tar files, cloning
>> nongnu instead ? remove test-command ?

> Looking at the Makefile, I think it's actually preferable to spell out
> the Emacs command for testing (including "--batch", which upstream does
> not appear to use), in which case we only need the tests themselves
> preserved in the archive.

Correct me if I’m wrong, but the tests folder itself is absent from the
tar file, I’m afraid.

At some point, we’d better replace all those limited elpa .tar files by
the real sources.